View Issue Details

IDProjectCategoryView StatusLast Update
0002920unrealircdpublic2015-10-01 18:07
Reporteraquanight Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status needs re portingResolutionfixed 
PlatformX86OSWindows 
Product Version3.2.4 
Fixed in Version3.3-alpha0 
Summary0002920: Command-line mkpasswd for Win32.
DescriptionI noticed that it's not possible to generate hashed passwords from the command line on win32. I think this should be possible for those people who want to make complete working config files without having to start the ircd with an incomplete config and/or some insecure dummy password just so they can just use /mkpasswd ...

Particularly, I noticed the -P command-line option is #if'd out on Win32. I think it should be possible to use this option for the reason(s) I mentioned above (even if you don't make some spiffy GUI for it).
TagsNo tags attached.
3rd party modules

Activities

pinstrate

2006-05-22 07:39

reporter   ~0011749

personally I think it is useless and just a waste of code. you can bind your ircd with dummy password to 127.0.0.1:<someport> then make a password and put it into your config file.

aquanight

2006-05-22 16:30

reporter   ~0011761

1) Actually, it's a waste of code to keep it disabled. The simplest solution is remove the #ifndef _WIN32 / #endif around the case 'P': in main() (though this would probably require compiling unreal as a console application and adding a FreeConsole call somewhere).
2) As I said, some people want to have a complete and proper config file before they boot the ircd (maybe they're lazy, or paranoid, or other reason).

stskeeps

2007-04-27 03:04

reporter   ~0013762

Bump. We still need this?

Bock

2007-04-27 03:59

reporter   ~0013782

Last edited: 2007-04-27 04:02

yep. I try to say about it to BuHHunyx (who has fixed some bugs in win ver).

2007-06-11 12:15

 

ircd.c.diff (1,746 bytes)

Bock

2007-06-11 12:17

reporter   ~0014316

patch uploaded.
Usage:
wircd.exe -P md5 pass
Result automaticly copied in clipboard.

Pacth provided by BuHHunyx

stskeeps

2007-06-11 12:40

reporter   ~0014317

Patched in .2433:

- Removed anything involving portnum global variable. Not proper in
  newconf world
- 0002920 reported by aquanight, regarding command line mkpasswd,
  patched by BuHHunyx. Syntax: wircd.exe -P|-p authmethod password.
  If it is -p, it will get shown in a MessageBox, -P it will get copied
  to clipboard.

syzop

2015-08-08 08:27

administrator   ~0018575

bump

dboyz

2015-09-30 08:14

reporter   ~0018712

Related commit from unreal3.3 is https://github.com/unrealircd/unrealircd/commit/36ba7623cfe2e297c1693c9ba27613da0ae6a526

Hopefully that helps.

syzop

2015-10-01 18:07

administrator   ~0018718

Copy to clipboard.. yeah.. hmm... maybe a good idea :)

Issue History

Date Modified Username Field Change
2006-05-21 20:45 aquanight New Issue
2006-05-22 07:39 pinstrate Note Added: 0011749
2006-05-22 16:30 aquanight Note Added: 0011761
2007-04-27 03:04 stskeeps Note Added: 0013762
2007-04-27 03:04 stskeeps Status new => feedback
2007-04-27 03:59 Bock Note Added: 0013782
2007-04-27 04:02 Bock Note Edited: 0013782
2007-06-10 02:20 WolfSage Status feedback => assigned
2007-06-10 02:20 WolfSage Assigned To => WolfSage
2007-06-11 12:15 Bock File Added: ircd.c.diff
2007-06-11 12:17 Bock Note Added: 0014316
2007-06-11 12:40 stskeeps Status assigned => resolved
2007-06-11 12:40 stskeeps Fixed in Version => 3.3-alpha0
2007-06-11 12:40 stskeeps Resolution open => fixed
2007-06-11 12:40 stskeeps Note Added: 0014317
2011-07-19 17:45 syzop Assigned To WolfSage =>
2011-07-19 17:45 syzop Status resolved => needs re porting
2015-08-08 08:27 syzop Note Added: 0018575
2015-08-08 17:49 syzop Severity minor => feature
2015-09-30 08:14 dboyz Note Added: 0018712
2015-10-01 18:07 syzop Note Added: 0018718